Bug 530338 - Unable to run helloworld.stp on ppc machine - compilation failed
Unable to run helloworld.stp on ppc machine - compilation failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
12
ppc Linux
low Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 08:43 EDT by Roman Rakus
Modified: 2014-01-12 19:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 09:50:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error messages (3.25 KB, text/plain)
2009-10-22 10:06 EDT, Roman Rakus
no flags Details

  None (edit)
Description Roman Rakus 2009-10-22 08:43:29 EDT
Description of problem:
Trying to test systemtap on ppc leads to errors.

Version-Release number of selected component (if applicable):
systemtap-1.0-1.fc12.ppc

How reproducible:


Steps to Reproduce:
1. stap /usr/share/doc/systemtap-1.0/examples/general/helloworld.stp
2.
3.
  
Actual results:
see attachment

Expected results:
hello world

Additional info:
Machine is iBook G4
Comment 1 Roman Rakus 2009-10-22 10:06:21 EDT
Created attachment 365733 [details]
error messages
Comment 2 Frank Ch. Eigler 2009-10-22 10:16:27 EDT
Thank you for your report.  Indeed, ppc (as opposed to ppc64) has
not been an architecture we've tested on in recent history.
Comment 3 Bug Zapper 2009-11-16 09:02:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Frank Ch. Eigler 2010-02-27 11:16:26 EST
Roman, would you mind trying systemtap-1.1 builds?  Back in November, we received a bunch of ppc32 patches that ought to fix these problems.
Comment 5 Roman Rakus 2010-03-01 09:44:28 EST
Now I get "hello world", so it seems to work. Also tried `ansi_colors.stp'. Feel free to close this bug :) Thanks
Comment 6 Frank Ch. Eigler 2010-03-01 09:50:02 EST
Thank you for patiently waiting & retesting!

Note You need to log in before you can comment on or make changes to this bug.